# Uses of Class
org.globus.gsi.X509ProxyCertPathParameters

Packages that use X509ProxyCertPathParameters
Package
Description
org.globus.gsi.provider
org.globus.gsi.trustmanager

## Uses of X509ProxyCertPathParameters in org.globus.gsi.provider

Methods in org.globus.gsi.provider that return X509ProxyCertPathParameters
Modifier and Type
Method
Description
`X509ProxyCertPathParameters`
GlobusTrustManagerFactoryParameters.`getCertPathParameters()`

## Uses of X509ProxyCertPathParameters in org.globus.gsi.trustmanager

Constructors in org.globus.gsi.trustmanager with parameters of type X509ProxyCertPathParameters
Modifier
Constructor
Description
``
`PKITrustManager(CertPathValidatorSpi initValidator, X509ProxyCertPathParameters initParameters)`
Create a trust manager with the pre-configured cert path validator and proxy parameters.